Program SymbTest;
// Ce logiciel est un logiciel libre, distribue sous licence GNU
//   Copyright (C) H. LESOURD, 1994

Uses Crt,Symbolize;

Var
   S : SymbPtr;
   Str : String;
   MemAvail0 : LongInt;

Begin
  ClrScr;
  MemAvail0:=MemAvail;
  Str:='+';S:=NewSymb(Str);
  Str:='-';S:=NewSymb(Str);
  Str:='*';S:=NewSymb(Str);
  Str:='/';S:=NewSymb(Str);
  Str:='(';S:=NewSymb(Str);
  Str:=')';S:=NewSymb(Str);
  Str[0]:=#1;Str[1]:=#$1A;S:=NewSymb(Str);
  Writeln(MemAvail0-MemAvail,' bytes used, ',StrMemPtr-1,' chars used');
  VisuHash;
End.
